petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectorySetFiletemplate

Specify the name template for the files storing checkpoints.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetFiletemplate(TSTrajectory tj,const char filetemplate[])

Collective on TSTrajectory

### Input Arguments

| tj | - the TSTrajectory context
| filetemplate | - the template

### Options Database Keys

-ts_trajectory_file_template -set the file name template

### Notes

The name template should be of the form, for example filename-%06D.bin It should not begin with a leading /

The final location of the files is determined by dirname/filetemplate where dirname was provided by TSTrajectorySetDirname(). The %06D is replaced by the timestep counter

### Keywords

TS, trajectory, set

### See Also

TSTrajectorySetDirname(),TSTrajectorySetUp()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages